FreeBSD : rsyslog -- remote syslog PRI vulnerability (8e0e86ff-48b5-11e4-ab80-000c29f6ae42)

High Nessus Plugin ID 78003


The remote FreeBSD host is missing one or more security-related updates.


The rsyslog project reports :

potential abort when a message with PRI > 191 was processed if the 'pri-text' property was used in active templates, this could be abused to a remote denial of service from permitted senders

The original fix for CVE-2014-3634 was not adequate.


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 78003

File Name: freebsd_pkg_8e0e86ff48b511e4ab80000c29f6ae42.nasl

Version: $Revision: 1.3 $

Type: local

Published: 2014/10/01

Modified: 2014/11/04

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:rsyslog, p-cpe:/a:freebsd:freebsd:rsyslog8, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2014/09/30

Vulnerability Publication Date: 2014/09/30

Reference Information

CVE: CVE-2014-3634